Package com.databricks.jdbc.commons

## Enum MetricsList

- java.lang.Object
- - java.lang.Enum<MetricsList>
  - - com.databricks.jdbc.commons.MetricsList

All Implemented Interfaces:
  `Serializable`, `Comparable<MetricsList>`

    public enum MetricsList
    extends Enum<MetricsList>

### Enum Constant Summary

Enum Constants
`CREATE_SESSION`
`CREATE_SESSION_THRIFT`
`DELETE_SESSION`
`DELETE_SESSION_THRIFT`
`EXECUTE_STATEMENT`
`EXECUTE_STATEMENT_THRIFT`
`GET_REQUEST`
`GET_RESULT_CHUNK_THRIFT`
`GET_RESULT_CHUNKS`
`INVALID_URL`
`LIST_CATALOGS_METADATA_SEA`
`LIST_CATALOGS_THRIFT`
`LIST_COLUMNS_METADATA_SEA`
`LIST_COLUMNS_THRIFT`
`LIST_FUNCTIONS_METADATA_SEA`
`LIST_FUNCTIONS_THRIFT`
`LIST_PRIMARY_KEYS_METADATA_SEA`
`LIST_PRIMARY_KEYS_THRIFT`
`LIST_SCHEMAS_METADATA_SEA`
`LIST_SCHEMAS_THRIFT`
`LIST_TABLE_TYPES_METADATA_SEA`
`LIST_TABLE_TYPES_THRIFT`
`LIST_TABLES_METADATA_SEA`
`LIST_TABLES_THRIFT`
`LIST_TYPE_INFO_THRIFT`
`RECORD_METRICS_ERROR_COUNT`

### Method Summary

All Methods Static Methods Concrete Methods
`static MetricsList` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static MetricsList[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### LIST_CATALOGS_METADATA_SEA

    public static final MetricsList LIST_CATALOGS_METADATA_SEA

#### LIST_SCHEMAS_METADATA_SEA

    public static final MetricsList LIST_SCHEMAS_METADATA_SEA

#### LIST_TABLES_METADATA_SEA

    public static final MetricsList LIST_TABLES_METADATA_SEA

#### LIST_COLUMNS_METADATA_SEA

    public static final MetricsList LIST_COLUMNS_METADATA_SEA

#### LIST_TABLE_TYPES_METADATA_SEA

    public static final MetricsList LIST_TABLE_TYPES_METADATA_SEA

#### LIST_FUNCTIONS_METADATA_SEA

    public static final MetricsList LIST_FUNCTIONS_METADATA_SEA

#### LIST_PRIMARY_KEYS_METADATA_SEA

    public static final MetricsList LIST_PRIMARY_KEYS_METADATA_SEA

#### RECORD_METRICS_ERROR_COUNT

    public static final MetricsList RECORD_METRICS_ERROR_COUNT

#### CREATE_SESSION_THRIFT

    public static final MetricsList CREATE_SESSION_THRIFT

#### DELETE_SESSION_THRIFT

    public static final MetricsList DELETE_SESSION_THRIFT

#### EXECUTE_STATEMENT_THRIFT

    public static final MetricsList EXECUTE_STATEMENT_THRIFT

#### GET_RESULT_CHUNK_THRIFT

    public static final MetricsList GET_RESULT_CHUNK_THRIFT

#### LIST_TYPE_INFO_THRIFT

    public static final MetricsList LIST_TYPE_INFO_THRIFT

#### LIST_CATALOGS_THRIFT

    public static final MetricsList LIST_CATALOGS_THRIFT

#### LIST_SCHEMAS_THRIFT

    public static final MetricsList LIST_SCHEMAS_THRIFT

#### LIST_TABLES_THRIFT

    public static final MetricsList LIST_TABLES_THRIFT

#### LIST_COLUMNS_THRIFT

    public static final MetricsList LIST_COLUMNS_THRIFT

#### LIST_TABLE_TYPES_THRIFT

    public static final MetricsList LIST_TABLE_TYPES_THRIFT

#### LIST_FUNCTIONS_THRIFT

    public static final MetricsList LIST_FUNCTIONS_THRIFT

#### LIST_PRIMARY_KEYS_THRIFT

    public static final MetricsList LIST_PRIMARY_KEYS_THRIFT

#### CREATE_SESSION

    public static final MetricsList CREATE_SESSION

#### DELETE_SESSION

    public static final MetricsList DELETE_SESSION

#### EXECUTE_STATEMENT

    public static final MetricsList EXECUTE_STATEMENT

#### GET_RESULT_CHUNKS

    public static final MetricsList GET_RESULT_CHUNKS

#### GET_REQUEST

    public static final MetricsList GET_REQUEST

#### INVALID_URL

    public static final MetricsList INVALID_URL

### Method Detail

#### values

    public static MetricsList[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MetricsList c : MetricsList.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MetricsList valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null